---@meta

---@class ABP_Interactable_AttachPoint_Wheel_C : ABP_Interactable_AttachPoint_C
---@field UberGraphFrame FPointerToUberGraphFrame
---@field Box UBoxComponent
---@field HasWheel boolean
---@field Wheel UVehicle_Wheel_C
---@field OverlappingActorsClasses TArray<TSubclassOf<AActor>>
local ABP_Interactable_AttachPoint_Wheel_C = {}

---@param InstigatingPlayer ARGFirstPersonCharacter
---@param InstigatingPlayerHeldActor AActor
---@param Hit FHitResult
---@param LookAtPlayerInteractionTexts TMap<UInputAction, FText>
function ABP_Interactable_AttachPoint_Wheel_C:GetLookAtPlayerInteractionTexts(InstigatingPlayer, InstigatingPlayerHeldActor, Hit, LookAtPlayerInteractionTexts) end
---@param PickUpObject UObject
---@param Success boolean
function ABP_Interactable_AttachPoint_Wheel_C:IsAttachPointBlocking(PickUpObject, Success) end
---@param PickUpActor UObject
---@param IsSomethingOverlapping boolean
function ABP_Interactable_AttachPoint_Wheel_C:OverlapWheelAreaCheck(PickUpActor, IsSomethingOverlapping) end
function ABP_Interactable_AttachPoint_Wheel_C:OnRep_HasWheel() end
---@param HasWheel boolean
function ABP_Interactable_AttachPoint_Wheel_C:SetHasWheel(HasWheel) end
---@param PickUpObject UObject
---@param Success boolean
function ABP_Interactable_AttachPoint_Wheel_C:CanPickUpObjectBeAttachedToLookAtObject(PickUpObject, Success) end
function ABP_Interactable_AttachPoint_Wheel_C:ReceiveBeginPlay() end
---@param DeltaSeconds float
function ABP_Interactable_AttachPoint_Wheel_C:ReceiveTick(DeltaSeconds) end
---@param EntryPoint int32
function ABP_Interactable_AttachPoint_Wheel_C:ExecuteUbergraph_BP_Interactable_AttachPoint_Wheel(EntryPoint) end


